################################################################################
# make.jl: build the documentation for BrkgaMpIpr.jl
#
# (c) Copyright 2019, Carlos Eduardo de Andrade. All Rights Reserved.
#
# This code is released under LICENSE.md.
#
# Created on:  Feb 05, 2018 by ceandrade
# Last update: Nov 26, 2019 by ceandrade
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
################################################################################

push!(LOAD_PATH, "../src/")

using Documenter, BrkgaMpIpr
makedocs(
    modules = [BrkgaMpIpr],
    sitename="BrkgaMpIpr.jl documentation",
    authors = "Carlos E. Andrade",
    assets = ["assets/logo.png", "assets/favicon.ico"],
    pages = [
            "Home" => "index.md",
            "Guide / Tutorial" => "guide.md",
            "License" => "license.md",
            "Library" => "api.md",
            "Contributing" => "contributing.md"
        ],
)

deploydocs(
    repo = "github.com/ceandrade/BrkgaMpIpr.jl.git",
)
